> ## Documentation Index
> Fetch the complete documentation index at: https://docs-v2.campflare.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Campsites

> Get campsites by campground id

Details for the campsite field descriptions can be found in the data documentation [here](/campgrounds/data).

```
GET /campground/:id/campsites
```


## OpenAPI

````yaml GET /campground/:id/campsites
openapi: 3.0.1
info:
  title: OpenAPI Plant Store
  description: >-
    A sample API that uses a plant store as an example to demonstrate features
    in the OpenAPI specification
  version: 1.0.0
servers:
  - url: https://api.campflare.com/v2
security: []
paths:
  /campground/:id/campsites:
    get:
      summary: Get campsites by campground id
      description: Get campsites by campground id
      parameters:
        - name: id
          in: path
          description: Unique identifier of the campground
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Campsites response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/Campsite'
        '400':
          description: Unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    Campsite:
      required:
        - id
        - name
        - kind
        - campground_id
      type: object
      properties:
        id:
          type: string
          description: Unique identifier for the campsite
        campground_id:
          type: string
          description: The campground the campsite belongs to
        name:
          type: string
          description: Name of the campsite
        loop_name:
          type: string
          description: Name of the loop where the campsite is located
        latitude:
          type: number
          format: float
          description: Latitude coordinate of the campsite
        longitude:
          type: number
          format: float
          description: Longitude coordinate of the campsite
        reservation_url:
          type: string
          format: uri
          description: URL for making reservations
        equipment:
          type: array
          description: >-
            List of equipment types allowed at the campsite. This can be used to
            determine, for example, if an RV site also allows tents. If this
            field is null, then the equipment restrictions are unknown and it is
            best to refer to the `kind` field.
          items:
            type: object
            required:
              - kind
              - name
            properties:
              kind:
                type: string
                enum:
                  - rv
                  - tent
                  - trailer
                  - horse
                  - boat
                description: Type of equipment
              name:
                type: string
                description: Name of the equipment
        kind:
          type: string
          enum:
            - standard
            - rv
            - tent-only
            - cabin
            - management
            - group
            - walk-to
            - equestrian
            - water-access
          description: Type of campsite
        kind_listed:
          type: string
          description: >-
            The unmodified kind/type of the campsite listed on the reservation
            platform.
        schedule:
          type: object
          description: Check-in/out times for the campsite
          properties:
            check_in_time:
              type: string
              description: >-
                Check-in time of day in 24-hour HH:MM format (e.g., '15:00' for
                3:00 PM)
            check_out_time:
              type: string
              description: >-
                Check-out time of day in 24-hour HH:MM format (e.g., '11:00' for
                11:00 AM).
            uniform:
              type: boolean
              description: Whether check-in/out times are uniform across all campsites
        price:
          type: object
          required:
            - per_night
            - currency_code
            - currency
          properties:
            per_night:
              type: number
              description: Price per night
            currency_code:
              type: string
              description: Currency code for the price
            currency:
              type: string
              description: Currency name for the price
        firepit:
          type: boolean
          description: Whether the campsite has a firepit
        picnic_table:
          type: boolean
          description: Information about picnic table availability
        ada_accessible:
          type: boolean
          description: Whether the campsite is ADA accessible
        water_hookups:
          type: boolean
          description: Whether the campsite has water hookups
        electric_hookups:
          type: boolean
          description: Whether the campsite has electric hookups
        sewer_hookups:
          type: boolean
          description: Whether the campsite has sewer hookups
        max_people:
          type: integer
          description: Maximum number of people allowed at the campsite
        max_cars:
          type: integer
          description: Maximum number of cars allowed at the campsite
        pull_through:
          type: boolean
          description: Whether the campsite is a pull-through site
        driveway_length:
          type: integer
          description: Length of the driveway in feet
        max_rv_length:
          type: integer
          description: Maximum RV length in feet
        max_trailer_length:
          type: number
          format: float
          description: Maximum trailer length in feet
        photos:
          type: array
          description: Photos of the campsite
          items:
            type: object
            required:
              - original_url
              - attribution_needed
            properties:
              original_url:
                type: string
                format: uri
                description: >-
                  The full-resolution, unmodified image URL from the original
                  source website. This links to the external location where the
                  image was originally hosted or discovered.
              large_url:
                type: string
                format: uri
                description: >-
                  URL for the large-size photo hosted on Campflare's CDN.
                  1200x900px
              medium_url:
                type: string
                format: uri
                description: >-
                  URL for the medium-size photo hosted on Campflare's CDN.
                  800x600px.
              small_url:
                type: string
                format: uri
                description: >-
                  URL for the small-size photo hosted on Campflare's CDN.
                  400x300px.
              attribution:
                type: string
                description: Attribution for the photo
              attribution_needed:
                type: boolean
                description: Whether attribution is needed for the photo
              name:
                type: string
                description: Name of the photo
    Error:
      required:
        - error
        - message
      type: object
      properties:
        error:
          type: object
          properties:
            message:
              type: string
            kind:
              type: string

````